Skip to content

微博电视视频详情 API (V1) ​

GET
接口健康状态
健康 可用 少量可用 基本不可用 暂无数据
正在加载健康状态…

检索由冒号分隔的对象ID (OID) 标识的微博TV视频详情。用于查找已知的TV视频以进行内容审核、编目或后续处理。

请求参数 ​

参数名位置类型必填默认值说明
tokenquerystring是-API 访问令牌。
oidquerystring是-微博视频/对象ID。

代码示例 ​

bash
curl --max-time 120 -X GET 'https://api.justoneapi.com/api/weibo/tv-component/v1?token=YOUR_API_KEY&oid=VALUE'
text
我想使用 JustOneAPI 提供的“电视视频详情 (V1)”接口。
接入地址: https://api.justoneapi.com。
接口路径: /api/weibo/tv-component/v1?token=YOUR_API_KEY&oid=VALUE
接口地址: BASE_URL + /api/weibo/tv-component/v1?token=YOUR_API_KEY&oid=VALUE
HTTP 方法: GET
身份验证: 在 URL 中传入 token 查询参数。
OpenAPI 定义: https://docs.justoneapi.com/openapi/weibo/tv-video-details-v1-zh.json

请求参数说明:
- token (query): API 访问令牌。 (必填)
- oid (query): 微博视频/对象ID。 (必填)

返回格式: 请根据实际 Content-Type 安全处理 JSON 或文本响应。

响应处理与错误码:
1. 需通过返回体中的 "code" 字段判断业务结果(code 为 0 表示成功)。
2. 超时建议:建议将请求超时时间设置为 120 秒;如果 120 秒偏长,请至少设置为 60 秒,但可能会有少量请求因超时而未接收到结果。
3. 业务码说明:
   - 0: 成功
   - 100: Token 无效或已失效
   - 301: 采集失败,请重试
   - 302: 超出速率限制
   - 303: 超出每日配额
   - 400: 参数错误
   - 500: 内部服务器错误
   - 600: 权限不足
   - 601: 账户余额不足
   - 602: TOKEN 限额超限
4. code 601 表示账户共享余额不足。code 602 表示当前 API TOKEN 自身的累计消费上限已达到。TOKEN 限额不是资金划拨,多个 TOKEN 仍共享同一个账户余额。

请帮我用我擅长的编程语言写一个脚本来调用这个接口,并处理返回结果。
python
import requests

BASE_URL = "https://api.justoneapi.com"  # 由 OpenAPI servers 提供

url = BASE_URL + "/api/weibo/tv-component/v1?token=YOUR_API_KEY&oid=VALUE"
response = requests.get(url, timeout=120)
print(response.status_code)
if response.content:
    content_type = response.headers.get("content-type", "").lower()
    if "json" in content_type:
        try:
            print(response.json())
        except ValueError:
            print(response.text)
    elif content_type.startswith("text/") or "xml" in content_type or content_type.split(";", 1)[0].strip() in {"application/javascript", "application/x-www-form-urlencoded", "application/graphql"}:
        print(response.text)
    else:
        with open("response.bin", "wb") as output:
            output.write(response.content)
        print(f"Saved {len(response.content)} bytes to response.bin")
js
const BASE_URL = "https://api.justoneapi.com"; // 由 OpenAPI servers 提供
const url = BASE_URL + "/api/weibo/tv-component/v1?token=YOUR_API_KEY&oid=VALUE";

const response = await fetch(url, {
  method: "GET",
  signal: AbortSignal.timeout(120000)
});
console.log(response.status);
const responseBytes = await response.arrayBuffer();
if (responseBytes.byteLength) {
  const contentType = (response.headers.get("content-type") || "").toLowerCase();
  const mediaType = contentType.split(";", 1)[0].trim();
  const textual = contentType.startsWith("text/") || contentType.includes("json") || contentType.includes("xml") || ["application/javascript", "application/x-www-form-urlencoded", "application/graphql"].includes(mediaType);
  if (textual) {
    const responseText = new TextDecoder().decode(responseBytes);
    let data = responseText;
    if (contentType.includes("json")) {
      try { data = JSON.parse(responseText); } catch { /* Keep the raw body. */ }
    }
    console.log(data);
  } else {
    console.log(`Received ${responseBytes.byteLength} binary bytes`);
  }
}
java
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.time.Duration;
import java.nio.charset.StandardCharsets;
import java.nio.file.Files;
import java.nio.file.Path;

public class Main {
    public static void main(String[] args) throws Exception {
        final String BASE_URL = "https://api.justoneapi.com"; // 由 OpenAPI servers 提供
        final String url = BASE_URL + "/api/weibo/tv-component/v1?token=YOUR_API_KEY&oid=VALUE";

        HttpClient client = HttpClient.newBuilder().connectTimeout(Duration.ofSeconds(120)).build();
        HttpRequest.Builder builder = HttpRequest.newBuilder()
            .uri(URI.create(url))
            .timeout(Duration.ofSeconds(120))
            .method("GET", HttpRequest.BodyPublishers.noBody());

        HttpRequest request = builder.build();

        HttpResponse<byte[]> response = client.send(request, HttpResponse.BodyHandlers.ofByteArray());
        System.out.println(response.statusCode());
        String contentType = response.headers().firstValue("content-type").orElse("").toLowerCase();
        String mediaType = contentType.split(";", 2)[0].trim();
        if (contentType.startsWith("text/") || contentType.contains("json") || contentType.contains("xml") || mediaType.equals("application/javascript") || mediaType.equals("application/x-www-form-urlencoded") || mediaType.equals("application/graphql")) {
            System.out.println(new String(response.body(), StandardCharsets.UTF_8));
        } else {
            Files.write(Path.of("response.bin"), response.body());
            System.out.println("Saved " + response.body().length + " bytes to response.bin");
        }
    }
}
go
package main

import (
	"fmt"
	"io"
	"os"
	"strings"
	"net/http"
	"time"
)

const BASE_URL = "https://api.justoneapi.com" // 由 OpenAPI servers 提供

func main() {
	client := &http.Client{Timeout: 120 * time.Second}
	url := BASE_URL + "/api/weibo/tv-component/v1?token=YOUR_API_KEY&oid=VALUE"
	req, _ := http.NewRequest("GET", url, nil)
	resp, _ := client.Do(req)
	defer resp.Body.Close()
	fmt.Println(resp.StatusCode)
	bodyBytes, _ := io.ReadAll(resp.Body)
	contentType := strings.ToLower(resp.Header.Get("Content-Type"))
	mediaType := strings.TrimSpace(strings.SplitN(contentType, ";", 2)[0])
	if strings.HasPrefix(contentType, "text/") || strings.Contains(contentType, "json") || strings.Contains(contentType, "xml") || mediaType == "application/javascript" || mediaType == "application/x-www-form-urlencoded" || mediaType == "application/graphql" {
		fmt.Println(string(bodyBytes))
	} else {
		os.WriteFile("response.bin", bodyBytes, 0600)
		fmt.Printf("Saved %d bytes to response.bin\n", len(bodyBytes))
	}
}
php
<?php
$BASE_URL = 'https://api.justoneapi.com'; // 由 OpenAPI servers 提供
$url = $BASE_URL . '/api/weibo/tv-component/v1?token=YOUR_API_KEY&oid=VALUE';

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_TIMEOUT, 120);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
$response = curl_exec($ch);
$status = curl_getinfo($ch, CURLINFO_RESPONSE_CODE);
$contentType = strtolower((string) curl_getinfo($ch, CURLINFO_CONTENT_TYPE));
curl_close($ch);
echo $status . PHP_EOL;
$mediaType = trim(explode(';', $contentType, 2)[0]);
if (str_starts_with($contentType, 'text/') || str_contains($contentType, 'json') || str_contains($contentType, 'xml') || in_array($mediaType, ['application/javascript', 'application/x-www-form-urlencoded', 'application/graphql'], true)) {
    echo $response;
} else {
    file_put_contents('response.bin', $response);
    echo 'Saved ' . strlen($response) . ' bytes to response.bin' . PHP_EOL;
}

返回字段 ​

业务成功时(code = 0)的主要返回字段。

视频信息11 个字段

data.data.Component_Play_Playinfo

所查询微博视频的播放详情。

字段类型说明
midinteger帖子的微博消息 ID。
idstring微博视频的对象 ID。
idstrstring微博视频的对象 ID。
oidstring微博视频的对象 ID。
media_idinteger微博视频的媒体 ID。
object_typestring播放对象的类型标识。
titlestring视频标题。
textstring帖子关联的正文或说明。
datestring微博展示的发布日期。
real_dateinteger发布时间,Unix 时间戳,单位为秒。
url_shortstring视频返回的分享短链接。
返回状态2 个字段

data

字段类型说明
codestring微博播放数据返回的状态码。
msgstring微博播放数据返回的状态消息。
播放11 个字段

data.data.Component_Play_Playinfo

字段类型说明
cover_imagestring视频封面图片的 URL。
stream_urlstring视频返回的直接播放地址。
urlsobject按清晰度标签提供的视频播放地址,标签随视频变化。
urls.{key}string-
durationstring用于展示的视频时长文本。
duration_timenumber视频时长,单位为秒。
video_orientationstring该视频返回的画面方向标识。
liveboolean播放对象是否标记为直播。
is_paidboolean视频是否标记为付费内容。
allow_commentboolean视频是否允许评论。
fail_comment_reasonstring评论不可用时返回的原因。
作者7 个字段

data.data.Component_Play_Playinfo

字段类型说明
authorstring账号的展示名称。
author_idinteger该记录返回的微博账号 ID。
nicknamestring账号的展示名称。
avatarstring用户资料的头像地址。
verifiedboolean平台是否将该账号标记为已认证。
verified_typeinteger该账号返回的认证类型编码。
verified_reasonstring账号展示的认证说明。
互动数据5 个字段

data.data.Component_Play_Playinfo

字段类型说明
followers_countstring视频作者的关注者数量展示文本。
reposts_countstring返回的转发数展示文本。
comments_countstring返回的评论数展示文本。
attitudes_countinteger返回的点赞数。
play_countstring返回的播放量展示文本。

响应示例 ​

正在加载响应示例…